Verdocs - Developer Documentation

Web SDK v6.6.0

v6.6.0 introduces a number of new features, including a streamlined signing workflow, much faster final signing/stamping, Webhook authentication, and much more.

2026-02-23

We are proud to announce a major release with a number of significant new features. There are no breaking changes in our API / JS-SDKs, but we bumped those to v6.6.0 to match the same major version bump in our Web SDK, which does have a few breaking changes to note.

Webhook Enhancements

In this release, low-level definitions in our SDKs have been refined to true up the options listed. Please see our JS-SDK v6.6.0 Release Notes for details on these. The Settings panel in the Verdocs Web App also now reflects these changes, and adds status displays for the most recent successful/failing deliveries to help troubleshoot delivery issues.

Please note that while we have always had delivery-retry logic in the past, we did not formally document how this worked. We use Graphile Worker for our async task handling, which uses an exponential backoff algorithm to handle failures and will attempt each delivery up to 25 times. For more information on how this works please see here. We do not delete failed deliveries, but we will stop trying pending human intervention to avoid "spamming" client systems. (If you need to schedule redelivery please contact us for assistance.) For developers requiring the most reliability, we recommend leveraging highly-available service layers such as AWS Lambda or equivalent in combination with tools such as "dead letter queues" per the best practices recommended by the cloud vendor you are using.

Webhooks also now support two authentication modes: HMAC and OAuth2. HMAC will use a pre-shared key to generate a hash of the Webhook payload. To activate this method, call "PATCH /v2/webhooks" to set "auth_method" to "hmac". Then call "PUT /v2/webhooks/rotate-secret" to generate a new secret key, which will be returned in the response to that call. To prevent theft of this key, it may not be read back later, but it may be rotated as many times as needed. Finally, to validate the hash, use code such as the following:

const requestBody = req.body;
const jsonBody = JSON.stringify(requestBody.body);
const hash = createHmac('sha256', SECRET_KEY).update(jsonBody).digest('hex');
if (hash !== req.headers['x-webhook-signature']) {
    // Handle error here
}

If auth_method is set to "client_credentials", then developers should also set client_id and client_secret. In this case, Verdocs will make an OAuth2-compliant "Client Credentials" auth request before delivering the Webhook, and set the resulting access_token in the Webhook call's "Authorization: Bearer ACCESS_TOKEN..." header instead.

Please note that we currently do not cache this access token, but may do so in the future. To prevent this, developers may set the exp expiration in the token to 0. We will still use the access token for the current delivery, but not cache it beyond that.

Webhooks

General UI and Workflow Improvements

We have been hard at work streamlining our signing flow and have made a number of improvements in our Verdocs Sign embed to support this. Some of the highlights include:

  • Modernizing all dialog boxes and providing a more consistent look and feel, with a "card-style" title and close button, content region, and footer buttons.
  • To reduce the number of clicks required to sign a document, recipients will now be asked to adopt a signature block one time, when they first start signing. Both Signature and Initials blocks will be generated. Clicking signature/initials fields will apply the adopted block with no additional dialogs.
  • Recipients may now change their signature/initials blocks. When hovering a signature or initials field, a clear button will allow them to erase what they completed, and an edit button will allow them to change their signature block.
  • Zoom in/out buttons will let users adjust their view while signing.
  • A progress indicator will clearly communicate to recipients how many fields they have left to complete before submitting, with both Next and Prev buttons to navigate between fields.
  • A flag will be shown next to the next required or optional field to be completed. To save room, these flags will be hidden on narrow/mobile devices. Flags next to optional fields will include a "Skip" option as an additional means of jumping to the next field.
  • Envelopes that contain multiple documents will now display a file name header above each document as a visual separator.
  • Text and date fields may now be resized below their previous minimum dimensions. If this is done, the display font size will be automatically reduced to help the values "fit" the smaller fields.
  • The signing experience "footer" now provides several layout/branding options:
    • Three buttons will always be displayed centered for common operations like Ask a Question, with an optional fourth if Delegation is enabled for the recipient.
    • Organization settings now support an optional "Powered by" style label that will be shown in the bottom left corner, which developers may use to provide "Powered by MyAppSign" branding. This label may also have an optional link configured, such as to provide recipients with a link to the organization's Web site.
    • Organization settings may also be configured with Terms of Service and Privacy Policy links, which will be displayed in the bottom-right.
  • The download dialog has been enhanced in several ways
    • The filename of the document is more clearly displayed.
    • If there are two documents, two download options will be shown. If there are three or more, a message will be shown asking the user to download the Zip file instead. (Our internal analytics suggest 3+ document envelopes are rare and we didn't want to complicate the UI for that case.)
    • If documents are still being processed, an indicator will clearly communicate this to the user. (The majority of documents are processed in <5 seconds, but if users click download very quickly after signing, this will prevent them from clicking too quickly.)

Styling 1

Download

Branding and Styling Overrides

In the latest Web SDK release, we have significantly modernized how our default styles may be overridden by developers. We have always promoted a fully white-labeled approach, but previously each component was styled individually. Based on developer feedback, v6.6.0 migrates the 50 most commonly overridden properties (particularly base colors and fonts) to CSS variables, allowing multiple components to be themed at once.

To help developers take advantage of these variables we have published a sample overrides.css file in the SDK. (Please see the comments in that file for instructions.) We have also added a dropdown theme selector to our component catalog to help developers visualize the effects of these sample overrides. As a bonus feature, we added a feature to our component catalog to remember property input values, so navigating to different components in the catalog or reloading the page will no longer clear those options.

In an upcoming release, we plan to add options to organization settings to allow these overrides be to set even when Verdocs hosts the signing experience. This means even developers not leveraging our Web Components will be able to fully white-label the experience. Stay tuned!

Overrides

On this page